Package com.oracle.nosql.spring.data.repository.query

# Class AbstractReactiveNosqlQuery

java.lang.Object
com.oracle.nosql.spring.data.repository.query.AbstractReactiveNosqlQuery

All Implemented Interfaces:
  `org.springframework.data.repository.query.RepositoryQuery`

Direct Known Subclasses:
  `PartTreeReactiveNosqlQuery`, `ReactiveStringBasedNosqlQuery`

public abstract class AbstractReactiveNosqlQuery extends Object implements org.springframework.data.repository.query.RepositoryQuery

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractReactiveNosqlQuery(NosqlQueryMethod method, ReactiveNosqlOperations operations)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract NosqlQuery`
  `createQuery(NosqlParameterAccessor accessor)`
  `Object`
  `execute(Object[] parameters)`
  `NosqlQueryMethod`
  `getQueryMethod()`
  `protected abstract boolean`
  `isCountQuery()`
  `protected abstract boolean`
  `isDeleteQuery()`
  `protected abstract boolean`
  `isExistsQuery()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractReactiveNosqlQuery

    public AbstractReactiveNosqlQuery(NosqlQueryMethod method, ReactiveNosqlOperations operations)

- ## Method Details

  - ### execute

    public Object execute(Object[] parameters)
    Specified by:
      `execute` in interface `org.springframework.data.repository.query.RepositoryQuery`

  - ### getQueryMethod

    public NosqlQueryMethod getQueryMethod()
    Specified by:
      `getQueryMethod` in interface `org.springframework.data.repository.query.RepositoryQuery`

  - ### createQuery

    protected abstract NosqlQuery createQuery(NosqlParameterAccessor accessor)

  - ### isDeleteQuery

    protected abstract boolean isDeleteQuery()

  - ### isExistsQuery

    protected abstract boolean isExistsQuery()

  - ### isCountQuery

    protected abstract boolean isCountQuery()